// Converts MINMAX to old-style for use with MAP predictor setup
// Run the program in the folder containing the MINMAX file
// Compile with g++ convmm.cpp -o convmm or similar

#include <iostream>
#include <fstream>
using namespace std;

int main() {

 int lines, i;
 char str[200];
 double *ins;

 ifstream in("MINMAX");
 if(!in) {
  cout << "Cannot open MINMAX.\n";
  return 1;
 }
 
 lines=0;
 while(!in.eof()) {
  in.getline(str,200);
  lines++;
 }
 cout << lines << " lines in file.\n";

 in.close();
 
 lines = lines - 2;
 
 try {
  ins = new double [lines * 6];
 } catch (bad_alloc xa) {
  cout << "Memory allocation error!\n";
  return 1;
 }
 
 ifstream in2("MINMAX");
 in2.getline(str,200);
 
 for (i=0; i<(lines*6); i++) {
  in2 >> ins[i];
 }

// cout << ins[(lines*6)-6] << " " << ins[(lines*6)-5] << " " << ins[(lines*6)-4] << " " << ins[(lines*6)-3] << " " << ins[(lines*6)-2] << " " << ins[(lines*6)-1] << "\n";
 
// cout << str << "\n";
// cout << ins[0] << " " << ins[1] << " " << ins[2] << " " << ins[3] << " " << ins[4] << " " << ins[5] << "\n";
 
 in2.close();
 
 ofstream out("MINMAX.old");
 
 if(!out) {
  cout << "Cannot open MINMAX.old\n";
  return 1;
 }
 
 out << "Old MINMAX file format\n";
 for (i=0; i<lines; i++) {
   out << i+1 << " " << ins[i*6] << " " << ins[(i*6)+1] << " " << ins[(i*6)+4] << " " << ins[(i*6)+5] << "\n";
 }
 
 out.close();
 
 cout << "Old-style MINMAX suitable for use with MAP routines written to MINMAX.old.\n";
 
 return 0;
}
 
 
 
